summarylogtreecommitdiffstats
path: root/servicewall.install
diff options
context:
space:
mode:
authorlafleurdeboum2019-04-29 01:00:48 +0200
committerlafleurdeboum2019-04-29 01:03:21 +0200
commit0dd5fc20ba22a1a195bce7201e0f943d1831e0d3 (patch)
tree636b7e791cb8214425c1231e4f5c3c4a5696a688 /servicewall.install
parent5beb965118e5ce41587817b2a16cb61ff14bfd08 (diff)
downloadaur-0dd5fc20ba22a1a195bce7201e0f943d1831e0d3.tar.gz
fixed post_upgrade tests so as not to fail
Diffstat (limited to 'servicewall.install')
-rw-r--r--servicewall.install10
1 files changed, 6 insertions, 4 deletions
diff --git a/servicewall.install b/servicewall.install
index ae43ecf33206..760f7579b012 100644
--- a/servicewall.install
+++ b/servicewall.install
@@ -1,14 +1,15 @@
-## arg 1: the new package version
+## $1: the new package version
post_install() {
braise status | grep -q "enabled" || (
echo "To enable ServiceWall, issue a\n\t# braise enable"
)
}
-## arg 1: the new package version
-## arg 2: the old package version
+## $1: the new package version
+## $2: the old package version
post_upgrade() {
- braise status | grep -q "enabled" && (
+ # If ServiceWall is not disabled :
+ braise status | grep -q "disabled" || {
echo "reloading ServiceWall";
braise reload
)
@@ -19,3 +20,4 @@ pre_remove() {
echo "disabling ServiceWall";
braise disable
}
+